Package Details: lib32-muparser 2.2.5-1

Git Clone URL: https://aur.archlinux.org/lib32-muparser.git (read-only)
Package Base: lib32-muparser
Description: Fast math parser library (32 bit)
Upstream URL: http://muparser.beltoforion.de/
Licenses: MIT
Submitter: trya
Maintainer: carstene1ns
Last Packager: carstene1ns
Votes: 5
Popularity: 0.000000
First Submitted: 2010-12-07 03:35
Last Updated: 2015-08-19 21:14

Required by (1)

Sources (1)

Latest Comments

carstene1ns commented on 2015-03-05 19:37

Please note that I am aware that this package is outdated. I have already updated it (http://git.io/xNsT), but will not upload it unless the muparser package in community repo also is at 2.2.4. Updating now would likely break building other applications as the library and header files are not in sync.

trya commented on 2012-04-15 20:58

Simple to explain, you try to build the library samples in 32-bit, whereas the 32-bit library is not installed yet. Fixed by appending --disable-samples to ./configure.

salviati commented on 2012-04-15 17:00

Build fails:

g++ -m32 -o samples/example1/example1 example1_Example1.o -L./lib -L./lib -Wl,--hash-style=gnu -Wl,--as-needed -lmuparser
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.7.0/../../../libmuparser.so when searching for -lmuparser
/usr/bin/ld: skipping incompatible /usr/lib/libmuparser.so when searching for -lmuparser
/usr/bin/ld: cannot find -lmuparser
collect2: error: ld returned 1 exit status
make: *** [samples/example1/example1] Error 1
make: *** Waiting for unfinished jobs....
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build lib32-muparser.